Bug 132386 - two different damage extensions?
two different damage extensions?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-11 23:08 EDT by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 15:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-09-11 23:08:04 EDT
[hp@localhost libwnck]$ rpm -qf /usr/include/X11/extensions/damage.h
xorg-x11-devel-6.7.99.902-8
[hp@localhost libwnck]$ rpm -qf /usr/include/X11/extensions/Xdamage.h
xorg-x11-devel-6.7.99.902-8


damage.h looks to be the damage extension I submitted to XFree long
ago that was never afaik integrated... why are we shipping that? ;-)
Comment 1 Mike A. Harris 2004-09-14 21:50:52 EDT
Our xorg build packages up the files that xorg builds and installs
into the buildroot, so anything present that is old or junk, is
an upstream goofup.

[X Devel Team notes]
Suggested/recommended course of action, is for us to discuss with
Keith Packard, and get it sorted out in upstream CVS first, then
merge the changes into our local rpms for FC3.
Comment 2 Kristian Høgsberg 2004-12-12 12:08:58 EST
This is fixed upstream, will be in 6.8.2 and later releases.
Comment 3 Mike A. Harris 2004-12-21 15:08:40 EST
We've got 6.8.2rc1 in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.